@echo off
cls
echo bww bitwise works GmbH Windows XP or better Driver Installer
echo.
echo ****************************** ATTENTION !!! ******************************
echo Windows will prompt if it should continue installing drivers without the
echo "Microsoft Digital Signature". Answer "Yes" or "Continue" to all prompts.
echo ***************************************************************************
echo.

fxinst -6

if errorlevel 1 goto bit64
if errorlevel 0 goto bit32

echo Unknown CPU type, installation aborted!
goto end

:bit32

echo Installing drivers for 32-bit CPU...

fxinst32.exe --all %1 %2 %3
if errorlevel 5 goto end
if errorlevel 3 echo Could not install drivers.

goto afterdrivers

:bit64

echo Installing drivers for 64-bit CPU...

fxinst64.exe --all %1 %2 %3
if errorlevel 5 goto end
if errorlevel 3 echo Could not install drivers.

goto afterdrivers

:afterdrivers

echo When the InJoy Firewall application is NOT running, the driver should:
echo 1: Allow all IP traffic (default)
echo 2: Block all IP traffic (Not supported for Dial-Up)
fxinst.exe -y "Choice: "
if errorlevel 10 goto denyall

echo.
fxinst32.exe -z
fxinst32.exe -a
if errorlevel 2 goto end
goto startinst

:denyall
echo.
fxinst32.exe -t
if errorlevel 2 goto end

:startinst
echo.
ipgate check
fxinst32.exe -o fxsrv
echo Firewall Server startup mode:
echo 1: Manual (default)
echo 2: Automatically -- as a Windows service
fxinst.exe -y "Choice: "
if errorlevel 10 goto autostart

fxinst32.exe -c fxsrv "InJoy Firewall Server Service"
goto folders

:autostart
fxinst32.exe -b fxsrv "InJoy Firewall Server Service"

:folders
echo.
echo Creating Start menu Folder/Icons ("FOLDER.BAT")
call folder.bat

fxinst32.exe -ii

echo.
echo Installation completed successfully.

echo.
fxinst32.exe -e

:end
